import request from '@/utils/request'

// 查询求助记录列表
export function listHelp(query) {
  return request({
    url: '/management/help/list',
    method: 'get',
    params: query
  })
}

// 查询求助记录详细
export function getHelp(memberHelpId) {
  return request({
    url: '/management/help/' + memberHelpId,
    method: 'get'
  })
}

// 新增求助记录
export function addHelp(data) {
  return request({
    url: '/management/help',
    method: 'post',
    data: data
  })
}

// 修改求助记录
export function updateHelp(data) {
  return request({
    url: '/management/help',
    method: 'put',
    data: data
  })
}

// 删除求助记录
export function delHelp(memberHelpId) {
  return request({
    url: '/management/help/' + memberHelpId,
    method: 'delete'
  })
}

// 导出求助记录
export function exportHelp(query) {
  return request({
    url: '/management/help/export',
    method: 'get',
    params: query
  })
}